1. Crypto Checkout
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
        • Get Fiat Account Application Status
        • Fiat Account Application Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
          POST
        • Create Crypto Checkout Link
          POST
        • Crypto Checkout Wallet Connection
          POST
        • Generate POS Payment Request
          POST
        • Close Crypto Checkout
          POST
        • Get Convertible Cryptos
          GET
        • Get Supported Blockchains
          GET
        • Get Crypto Checkout
          GET
        • Get Crypto Checkout Link
          GET
        • Get Crypto Checkout Currencies
          GET
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Crypto Checkout

Crypto Checkout Webhook

Webhook
POST
Crypto Checkout Webhook
API Overview
ItemValue
API StatusRecommended
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
TypeWebhook (Incoming)
Description
To update crypto checkout status after creation or update.
This is a webhook endpoint that must be implemented by the recipient to receive these notifications.
Important:
You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices.

Request

Authorization
Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "cryptoCheckout": {
            "cryptoCheckoutId": "string",
            "participantCode": "string",
            "amountToPay": 0,
            "currencyToPay": "string",
            "clientReference": "string",
            "paymentPurpose": {
                "subject": "string",
                "description": "string",
                "supportingDocuments": "string"
            },
            "buyerInfo": {
                "firstName": "string",
                "middleName": "string",
                "lastName": "string",
                "identityType": 1,
                "identityNumber": "string",
                "dateOfBirth": "2019-08-24",
                "placeOfBirth": "string",
                "residentialAddress": {
                    "country": "string",
                    "state": "string",
                    "city": "string",
                    "postcode": "string",
                    "addressLine1": "string",
                    "addressLine2": "string"
                }
            },
            "checkoutWallets": {
                "walletKey": "string",
                "addressList": [
                    {
                        "blockchain": "string",
                        "address": "string",
                        "acceptableCurrencies": [
                            "string"
                        ]
                    }
                ]
            },
            "status": 1,
            "expiry": 0,
            "walletKyt": {
                "kytResult": 1,
                "kytDetails": "string",
                "transactionHash": "string",
                "walletAddress": "string"
            },
            "receivedPayments": [
                {
                    "blockchain": "string",
                    "sourceWalletAddress": "string",
                    "paidCurrency": "string",
                    "paidAmount": "string",
                    "txnHash": "string",
                    "walletType": 1,
                    "platformName": "string",
                    "platformUserName": "string",
                    "kytInfo": {
                        "kytResult": 1,
                        "kytDetails": "string",
                        "transactionHash": "string",
                        "walletAddress": "string"
                    }
                }
            ],
            "conversions": [
                {
                    "conversionId": "string",
                    "quotationId": "string",
                    "participantCode": "string",
                    "clientReference": "string",
                    "sourceCurrency": "string",
                    "destinationCurrency": "string",
                    "price": "string",
                    "sourceAmount": "string",
                    "destinationAmount": "string",
                    "status": 1,
                    "createdAt": 0
                }
            ]
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'Content-Type: application/json' \
--data-raw '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "cryptoCheckout": {
            "cryptoCheckoutId": "string",
            "participantCode": "string",
            "amountToPay": 0,
            "currencyToPay": "string",
            "clientReference": "string",
            "paymentPurpose": {
                "subject": "string",
                "description": "string",
                "supportingDocuments": "string"
            },
            "buyerInfo": {
                "firstName": "string",
                "middleName": "string",
                "lastName": "string",
                "identityType": 1,
                "identityNumber": "string",
                "dateOfBirth": "2019-08-24",
                "placeOfBirth": "string",
                "residentialAddress": {
                    "country": "string",
                    "state": "string",
                    "city": "string",
                    "postcode": "string",
                    "addressLine1": "string",
                    "addressLine2": "string"
                }
            },
            "checkoutWallets": {
                "walletKey": "string",
                "addressList": [
                    {
                        "blockchain": "string",
                        "address": "string",
                        "acceptableCurrencies": [
                            "string"
                        ]
                    }
                ]
            },
            "status": 1,
            "expiry": 0,
            "walletKyt": {
                "kytResult": 1,
                "kytDetails": "string",
                "transactionHash": "string",
                "walletAddress": "string"
            },
            "receivedPayments": [
                {
                    "blockchain": "string",
                    "sourceWalletAddress": "string",
                    "paidCurrency": "string",
                    "paidAmount": "string",
                    "txnHash": "string",
                    "walletType": 1,
                    "platformName": "string",
                    "platformUserName": "string",
                    "kytInfo": {
                        "kytResult": 1,
                        "kytDetails": "string",
                        "transactionHash": "string",
                        "walletAddress": "string"
                    }
                }
            ],
            "conversions": [
                {
                    "conversionId": "string",
                    "quotationId": "string",
                    "participantCode": "string",
                    "clientReference": "string",
                    "sourceCurrency": "string",
                    "destinationCurrency": "string",
                    "price": "string",
                    "sourceAmount": "string",
                    "destinationAmount": "string",
                    "status": 1,
                    "createdAt": 0
                }
            ]
        }
    }
}'

Responses

🟢200Success
application/json
Body

Example
{}
🟢200成功
Modified at 2026-04-02 07:32:36
Previous
Get Crypto Checkout Currencies
Next
Crypto Collection
Built with